Date: Monday, April 9, 2018 @ 10:23:42
  Author: arojas
Revision: 321345

archrelease: copy kde-unstable to kde-unstable-x86_64

Added:
  qt5-base/repos/kde-unstable-x86_64/PKGBUILD
    (from rev 321344, qt5-base/kde-unstable/PKGBUILD)
  qt5-base/repos/kde-unstable-x86_64/rebuild.list
    (from rev 321344, qt5-base/kde-unstable/rebuild.list)
Deleted:
  qt5-base/repos/kde-unstable-x86_64/PKGBUILD
  qt5-base/repos/kde-unstable-x86_64/rebuild.list

--------------+
 PKGBUILD     |  218 ++++++++++++++++++++++++++++-----------------------------
 rebuild.list |   50 ++++++-------
 2 files changed, 134 insertions(+), 134 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD    2018-04-09 10:23:04 UTC (rev 321344)
+++ PKGBUILD    2018-04-09 10:23:42 UTC (rev 321345)
@@ -1,109 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonm...@archlinux.org>
-# Contributor: Andrea Scarpino <and...@archlinux.org>
-
-pkgbase=qt5-base
-pkgname=(qt5-base qt5-xcb-private-headers)
-_qtver=5.11.0-beta2
-pkgver=${_qtver/-/}
-pkgrel=2
-arch=('x86_64')
-url='http://qt-project.org/'
-license=('GPL3' 'LGPL3' 'FDL' 'custom')
-pkgdesc='A cross-platform application and UI framework'
-depends=('libjpeg-turbo' 'xcb-util-keysyms' 'xcb-util-renderutil' 'libgl' 
'fontconfig' 'xdg-utils'
-         'xcb-util-wm' 'libxrender' 'libxi' 'sqlite' 'xcb-util-image' 'icu' 
'pcre2'
-         'tslib' 'libinput' 'libsm' 'libxkbcommon-x11' 'libproxy' 'libcups' 
'double-conversion')
-makedepends=('libfbclient' 'libmariadbclient' 'sqlite' 'unixodbc' 
'postgresql-libs' 'alsa-lib' 'gst-plugins-base-libs'
-             'gtk3' 'libpulse' 'cups' 'freetds' 'vulkan-headers')
-optdepends=('qt5-svg: to use SVG icon themes'
-            'postgresql-libs: PostgreSQL driver'
-            'libmariadbclient: MariaDB driver'
-            'unixodbc: ODBC driver'
-            'libfbclient: Firebird/iBase driver'
-            'freetds: MS SQL driver'
-            'gtk3: GTK platform plugin')
-conflicts=('qtchooser')
-groups=('qt' 'qt5')
-_pkgfqn="${pkgbase/5-/}-everywhere-src-${_qtver}"
-source=("http://download.qt.io/development_releases/qt/${pkgver%.*}/${_qtver}/submodules/${_pkgfqn}.tar.xz";)
-sha256sums=('54deb823ed46154230c4f06aa19d6de728a3debe8dab71d30be4675d44718772')
-
-prepare() {
-  cd ${_pkgfqn}
-
-  # Build qmake using Arch {C,LD}FLAGS
-  # This also sets default {C,CXX,LD}FLAGS for projects built using qmake
-  sed -i -e "s|^\(QMAKE_CFLAGS_RELEASE.*\)|\1 ${CFLAGS}|" \
-    mkspecs/common/gcc-base.conf
-  sed -i -e "s|^\(QMAKE_LFLAGS_RELEASE.*\)|\1 ${LDFLAGS}|" \
-    mkspecs/common/g++-unix.conf
-
-  # Use python2 for Python 2.x
-  find . -name '*.py' -exec sed -i \
-    's|#![ ]*/usr/bin/python$|&2|;s|#![ ]*/usr/bin/env python$|&2|' {} +
-
-  # Fix missing private includes https://bugreports.qt.io/browse/QTBUG-37417
-  sed -e '/CMAKE_NO_PRIVATE_INCLUDES\ \=\ true/d' -i 
mkspecs/features/create_cmake.prf
-}
-
-build() {
-  cd ${_pkgfqn}
-
-  PYTHON=/usr/bin/python2 ./configure -confirm-license -opensource -v \
-    -prefix /usr \
-    -docdir /usr/share/doc/qt \
-    -headerdir /usr/include/qt \
-    -archdatadir /usr/lib/qt \
-    -datadir /usr/share/qt \
-    -sysconfdir /etc/xdg \
-    -examplesdir /usr/share/doc/qt/examples \
-    -plugin-sql-{psql,mysql,sqlite,odbc,ibase} \
-    -system-sqlite \
-    -openssl-linked \
-    -nomake examples \
-    -no-rpath \
-    -optimized-qmake \
-    -dbus-linked \
-    -system-harfbuzz \
-    -journald \
-    -no-use-gold-linker \
-    -reduce-relocations
-  make
-}
-
-package_qt5-base() {
-  pkgdesc='A cross-platform application and UI framework'
-
-  cd ${_pkgfqn}
-  make INSTALL_ROOT="${pkgdir}" install
-
-  install -D -m644 LGPL_EXCEPTION.txt \
-    "${pkgdir}"/usr/share/licenses/${pkgbase}/LGPL_EXCEPTION.txt
-
-  # Drop QMAKE_PRL_BUILD_DIR because reference the build dir
-  find "${pkgdir}/usr/lib" -type f -name '*.prl' \
-    -exec sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' {} \;
-
-  # Fix wrong qmake path in pri file
-  sed -i "s|${srcdir}/${_pkgfqn}|/usr|" \
-    "${pkgdir}"/usr/lib/qt/mkspecs/modules/qt_lib_bootstrap_private.pri
-
-  # Symlinks for backwards compatibility
-  for b in "${pkgdir}"/usr/bin/*; do
-    ln -s /usr/bin/$(basename $b) "${pkgdir}"/usr/bin/$(basename $b)-qt5
-  done
-}
-
-package_qt5-xcb-private-headers() {
-  pkgdesc='Private headers for Qt5 Xcb'
-
-  depends=("qt5-base=$pkgver")
-  optdepends=()
-  groups=()
-  conflicts=()
-
-  cd ${_pkgfqn}
-  install -d -m755 "$pkgdir"/usr/include/qtxcb-private
-  cp -r src/plugins/platforms/xcb/*.h "$pkgdir"/usr/include/qtxcb-private/
-}

Copied: qt5-base/repos/kde-unstable-x86_64/PKGBUILD (from rev 321344, 
qt5-base/kde-unstable/PKGBUILD)
===================================================================
--- PKGBUILD                            (rev 0)
+++ PKGBUILD    2018-04-09 10:23:42 UTC (rev 321345)
@@ -0,0 +1,109 @@
+# $Id$
+# Maintainer: Felix Yan <felixonm...@archlinux.org>
+# Contributor: Andrea Scarpino <and...@archlinux.org>
+
+pkgbase=qt5-base
+pkgname=(qt5-base qt5-xcb-private-headers)
+_qtver=5.11.0-beta3
+pkgver=${_qtver/-/}
+pkgrel=1
+arch=('x86_64')
+url='http://qt-project.org/'
+license=('GPL3' 'LGPL3' 'FDL' 'custom')
+pkgdesc='A cross-platform application and UI framework'
+depends=('libjpeg-turbo' 'xcb-util-keysyms' 'xcb-util-renderutil' 'libgl' 
'fontconfig' 'xdg-utils'
+         'xcb-util-wm' 'libxrender' 'libxi' 'sqlite' 'xcb-util-image' 'icu' 
'pcre2'
+         'tslib' 'libinput' 'libsm' 'libxkbcommon-x11' 'libproxy' 'libcups' 
'double-conversion')
+makedepends=('libfbclient' 'libmariadbclient' 'sqlite' 'unixodbc' 
'postgresql-libs' 'alsa-lib' 'gst-plugins-base-libs'
+             'gtk3' 'libpulse' 'cups' 'freetds' 'vulkan-headers')
+optdepends=('qt5-svg: to use SVG icon themes'
+            'postgresql-libs: PostgreSQL driver'
+            'libmariadbclient: MariaDB driver'
+            'unixodbc: ODBC driver'
+            'libfbclient: Firebird/iBase driver'
+            'freetds: MS SQL driver'
+            'gtk3: GTK platform plugin')
+conflicts=('qtchooser')
+groups=('qt' 'qt5')
+_pkgfqn="${pkgbase/5-/}-everywhere-src-${_qtver}"
+source=("http://download.qt.io/development_releases/qt/${pkgver%.*}/${_qtver}/submodules/${_pkgfqn}.tar.xz";)
+sha256sums=('e5d444b468ab45ef7e952d894c08f6dcbeb45c30a754589cb0231625f8697e36')
+
+prepare() {
+  cd ${_pkgfqn}
+
+  # Build qmake using Arch {C,LD}FLAGS
+  # This also sets default {C,CXX,LD}FLAGS for projects built using qmake
+  sed -i -e "s|^\(QMAKE_CFLAGS_RELEASE.*\)|\1 ${CFLAGS}|" \
+    mkspecs/common/gcc-base.conf
+  sed -i -e "s|^\(QMAKE_LFLAGS_RELEASE.*\)|\1 ${LDFLAGS}|" \
+    mkspecs/common/g++-unix.conf
+
+  # Use python2 for Python 2.x
+  find . -name '*.py' -exec sed -i \
+    's|#![ ]*/usr/bin/python$|&2|;s|#![ ]*/usr/bin/env python$|&2|' {} +
+
+  # Fix missing private includes https://bugreports.qt.io/browse/QTBUG-37417
+  sed -e '/CMAKE_NO_PRIVATE_INCLUDES\ \=\ true/d' -i 
mkspecs/features/create_cmake.prf
+}
+
+build() {
+  cd ${_pkgfqn}
+
+  PYTHON=/usr/bin/python2 ./configure -confirm-license -opensource -v \
+    -prefix /usr \
+    -docdir /usr/share/doc/qt \
+    -headerdir /usr/include/qt \
+    -archdatadir /usr/lib/qt \
+    -datadir /usr/share/qt \
+    -sysconfdir /etc/xdg \
+    -examplesdir /usr/share/doc/qt/examples \
+    -plugin-sql-{psql,mysql,sqlite,odbc,ibase} \
+    -system-sqlite \
+    -openssl-linked \
+    -nomake examples \
+    -no-rpath \
+    -optimized-qmake \
+    -dbus-linked \
+    -system-harfbuzz \
+    -journald \
+    -no-use-gold-linker \
+    -reduce-relocations
+  make
+}
+
+package_qt5-base() {
+  pkgdesc='A cross-platform application and UI framework'
+
+  cd ${_pkgfqn}
+  make INSTALL_ROOT="${pkgdir}" install
+
+  install -D -m644 LGPL_EXCEPTION.txt \
+    "${pkgdir}"/usr/share/licenses/${pkgbase}/LGPL_EXCEPTION.txt
+
+  # Drop QMAKE_PRL_BUILD_DIR because reference the build dir
+  find "${pkgdir}/usr/lib" -type f -name '*.prl' \
+    -exec sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' {} \;
+
+  # Fix wrong qmake path in pri file
+  sed -i "s|${srcdir}/${_pkgfqn}|/usr|" \
+    "${pkgdir}"/usr/lib/qt/mkspecs/modules/qt_lib_bootstrap_private.pri
+
+  # Symlinks for backwards compatibility
+  for b in "${pkgdir}"/usr/bin/*; do
+    ln -s /usr/bin/$(basename $b) "${pkgdir}"/usr/bin/$(basename $b)-qt5
+  done
+}
+
+package_qt5-xcb-private-headers() {
+  pkgdesc='Private headers for Qt5 Xcb'
+
+  depends=("qt5-base=$pkgver")
+  optdepends=()
+  groups=()
+  conflicts=()
+
+  cd ${_pkgfqn}
+  install -d -m755 "$pkgdir"/usr/include/qtxcb-private
+  cp -r src/plugins/platforms/xcb/*.h "$pkgdir"/usr/include/qtxcb-private/
+}

Deleted: rebuild.list
===================================================================
--- rebuild.list        2018-04-09 10:23:04 UTC (rev 321344)
+++ rebuild.list        2018-04-09 10:23:42 UTC (rev 321345)
@@ -1,25 +0,0 @@
-### Rebuild only for minor version updates
-calibre
-gcin
-kwin
-lxqt-qtplugin
-plasma-framework
-plasma-integration
-qqc2-desktop-style
-qt5ct
-### Rebuild for minor and patch version updates
-akonadi
-deepin-dock
-deepin-file-manager
-deepin-qt-dbus-factory
-deepin-qt5integration
-deepin-qt5dxcb-plugin
-dtkwidget
-dtkwm
-fcitx-qt5
-googlemaps
-libqtxdg
-pyqt5-common
-qt5-styleplugins
-qt5-webkit
-skrooge

Copied: qt5-base/repos/kde-unstable-x86_64/rebuild.list (from rev 321344, 
qt5-base/kde-unstable/rebuild.list)
===================================================================
--- rebuild.list                                (rev 0)
+++ rebuild.list        2018-04-09 10:23:42 UTC (rev 321345)
@@ -0,0 +1,25 @@
+### Rebuild only for minor version updates
+calibre
+gcin
+kwin
+lxqt-qtplugin
+plasma-framework
+plasma-integration
+qqc2-desktop-style
+qt5ct
+### Rebuild for minor and patch version updates
+akonadi
+deepin-dock
+deepin-file-manager
+deepin-qt-dbus-factory
+deepin-qt5integration
+deepin-qt5dxcb-plugin
+dtkwidget
+dtkwm
+fcitx-qt5
+googlemaps
+libqtxdg
+pyqt5-common
+qt5-styleplugins
+qt5-webkit
+skrooge

Reply via email to